USE OLAP
SELECT city, country
FROM countries
WHERE city NOT IN (SELECT retailer_city FROM sales)

--NOT EXISTS
SELECT city, country
FROM countries
WHERE NOT EXISTS (SELECT retailer_city FROM sales WHERE retailer_city= countries.city) 

--No data
SELECT city, country
FROM countries
WHERE NOT EXISTS (SELECT NULL FROM sales WHERE retailer_city= countries.city)

--EXISTS
SELECT *
FROM sales
WHERE EXISTS (SELECT null FROM countries WHERE country='Australia' and city=retailer_city)